<div class="profile-content-padding">
  <div class="left-content">
    <div class="user-header">
      <div class="user-header-avatar">
        <img src="{{userData?.photoSourceURL}}">
      </div>
      <div class="user-header-data">
        <div class="user-name">
          {{userData?.username}}
        </div>
        <div class="user-joined-date">
          koresponduje od {{userData?.joinedDateAsString}}
        </div>
        <div class="user-filler-content">
        </div>
        <div class="user-settings">
          <button *ngIf="shownUserIsLoggedIn()"
                  mat-button
                  color="primary"
                  [routerLink]="'/settings'">
            <mat-icon>settings</mat-icon>
            Ustawienia profilu
          </button>
        </div>

      </div>
    </div>
    <div class="user-statistics">
      <div class="user-statistic">
        <div class="user-statistic-name">
          Posty
        </div>
        <div class="user-statistic-value">
          {{userData?.numberOfPosts}}
        </div>
      </div>
      <div class="user-statistic">
        <div class="user-statistic-name">
          Komentarze
        </div>
        <div class="user-statistic-value">
          {{userData?.numberOfComments}}
        </div>
      </div>
      <div class="user-statistic">
        <div class="user-statistic-name">
          Podziękowania
        </div>
        <div class="user-statistic-value">
          {{userData?.numberOfUpvotes}}
        </div>
      </div>
    </div>
    <div class="user-achievements-container">
      <div class="user-achievements-header">
        Osiągnięcia
      </div>
      <div class="user-achievements">
        Użytkownik nie ma jeszcze żadnych osiągnięć.
        <!--<div class="user-achievement">
          <div class="user-achievement-icon">
            <mat-icon>tram</mat-icon>
          </div>
          <div class="user-achievement-data">
            <div class="user-achievement-title">Brązowy Korespondent</div>
            <div class="user-achievement-description">Zgłosił/a 5 postów</div>
          </div>
        </div>
        <div class="user-achievement">
          <div class="user-achievement-icon">
            <mat-icon>emoji_emotions</mat-icon>
          </div>
          <div class="user-achievement-data">
            <div class="user-achievement-title">Premium Shitposter</div>
            <div class="user-achievement-description">Dodał 50 memów</div>
          </div>
        </div>
  -->
      </div>

    </div>
  </div>

  <div class="separator"></div>

  <div class="right-content">
    <div class="user-activity-header">
      Aktywność
    </div>
    <div class="user-activity-section">
      <div class="user-activity-section-header">
        Posty
      </div>
      <div class="user-activity-section-content">
        <div>Użytkownik nie dodał jeszcze żadnego posta</div>
      </div>
    </div>
    <div class="user-activity-section">
      <div class="user-activity-section-header">
        Komentarze
      </div>
      <div class="user-activity-section-content">
        <div>Użytkownik nie dodał jeszcze żadnego komentarza.</div>
      </div>
    </div>
  </div>
</div>
